Skip to main content
PATCH
/
logs
/
trace
Update trace log
curl --request PATCH \
  --url https://api.adaline.ai/v2/logs/trace \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "logTrace": {
    "status": "success",
    "endedAt": 17450965800000,
    "attributes": [
      {
        "operation": "create",
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "tags": [
      {
        "operation": "create",
        "tag": "<string>"
      }
    ]
  },
  "traceId": "<string>",
  "referenceId": "<string>"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Body

application/json

Request payload for updating an existing trace by ID or reference ID.

projectId
string
required

The unique identifier of the project.

Required string length: 20 - 80
logTrace
Update Log Trace Request Trace · object
required

Trace update data for modifying status, end time, attributes, and tags

traceId
string | null

The ID in Adaline of the trace (required if referenceId not provided).

Required string length: 20 - 80
referenceId
string | null

Reference ID of the trace (required if traceId not provided).

Required string length: 1 - 128

Response

Trace updated successfully.

Response containing the result of a trace update operation.

success
boolean
required

Whether the trace update operation was successful.